petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatTransposeGetMat

Gets the Mat object stored inside a MATTRANSPOSEMAT'

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransposeGetMat(Mat A,Mat *M)

Logically collective on Mat

### Input Parameter

A -the MATTRANSPOSE matrix

### Output Parameter

M -the matrix object stored inside A

### See Also

MatCreateTranspose()

### Level

intermediate

### Location

src/mat/impls/transpose/transm.c

### Implementations

MatTransposeGetMat_Transpose in src/mat/impls/transpose/transm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages